#ifndef RUMBLEGRAPHVIEWER_H
#define RUMBLEGRAPHVIEWER_H

#include "xrawfile.h"
#include "zonefile.h"
#include <QWidget>

namespace Ui {
class RumbleGraphViewer;
}

class RumbleGraphViewer : public QWidget
{
    Q_OBJECT

public:
    explicit RumbleGraphViewer(QWidget *parent = nullptr);
    ~RumbleGraphViewer();

    void SetEntryCount(quint32 aCount);
    void SetRumbleGraphFile(const XRawFile *aRawFile);
    void SetZoneFile(ZoneFile* aZoneFile);

private:
    Ui::RumbleGraphViewer *ui;
    quint32 mEntryCount;
    const XRawFile* mRumbleGraphFile;
};

#endif // RUMBLEGRAPHVIEWER_H
